% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qstat.R
\name{qstat}
\alias{qstat}
\title{Wrappers for the grid CLI commands \code{qstat} and \code{qdel}}
\usage{
qstat("-f", "-j <job>", "-u <user>", ...)
  qdel(jobs)
}
\arguments{
\item{"-f"}{"Full" format display of information, summary information on all
queues is displayed along with the queued job list}

\item{"-U}{<user>" Displays all jobs requested by the system user, <user>}

\item{"-j}{<jobname>" When using \code{qapply}, <jobname> is the argument "tag"}

\item{jobs}{For qdel, a vector of jobs to be deleted}
}
\value{
Output of the qstat system call
}
\description{
\code{qstat} will return the status of the queue and is a direct 
wrapper for the CLI command.  \code{qdel} takes only "jobs" as an argument and
 will request deletion of the listed jobs.
}
\details{
A complete list of arguments for qstat is found in the appropriate 
   documentation (i.e., \code{system("man qstat")}), but some useful flags are shown in the parameters
}
